View Issue Details

IDProjectCategoryView StatusLast Update
0000006Industrial-Craft²tools / electric itemspublic2013-02-02 01:32
ReporterRawCodeAssigned ToPlayer 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000006: ItemElectricTool lack proper hitEntity method
DescriptionThis result in unexpected no damage from tools, since all vanilla items still can damage for 1 point, no matter what item type is, it will deal minimal damage.
TagsNo tags attached.
Minecraft Version

Activities

TheBard

2012-10-31 15:10

reporter   ~0000007

Please re-try in v1.107 which is the latest MC 1.3.2 version of IC2.

RawCode

2012-11-01 01:47

reporter   ~0000014

Everything i report from 108 MC.

Currently drill, saw and sword have implementation.

Player

2013-02-02 01:32

administrator   ~0000727

The default damage was 0, should be 1 now.

Issue History

Date Modified Username Field Change
2012-10-31 15:03 RawCode New Issue
2012-10-31 15:10 TheBard Note Added: 0000007
2012-10-31 16:20 Alblaka Category (electric) tools => tools / electric items
2012-11-01 01:47 RawCode Note Added: 0000014
2012-11-01 09:38 Gornakosh Status new => acknowledged
2013-02-02 01:32 Player Note Added: 0000727
2013-02-02 01:32 Player Status acknowledged => resolved
2013-02-02 01:32 Player Fixed in Version => 1.116 beta
2013-02-02 01:32 Player Resolution open => fixed
2013-02-02 01:32 Player Assigned To => Player